Acekard 2i DSi firmware question

Discussion in 'Acekard' started by sethcathison, Apr 13, 2013.

  1. sethcathison
    OP

    sethcathison Member

    Newcomer
    21
    0
    Nov 13, 2011
    2xmas's ago i bought my son a DSi XL and an Acekard 2i.
    It worked brilliant but in that time, after numerous accidents, the DS XL needed a whole new chassis , a new top screen and a new bottom screen and now it doesnt charge so i think its time to bin it as it about to cost more in repairs than the actual unit cost.
    I want to buy, off ebay, just an ordinary DSi (not XL) that the Acekard 2i will work with. Do i need to be careful of certain versions of DSi firmware that the Acekard 2i will not work with? Dont want to buy one to find it wont work.

    Cheers
     
  2. TyBlood13

    TyBlood13 Weeaboo Trash

    Member
    1,487
    593
    Jul 1, 2012
    United States
    Kentucky
    Any Firmware at or below 1.4.4 should be fine, as the AceKard only doesn't work on 1.4.5
     
  3. sethcathison
    OP

    sethcathison Member

    Newcomer
    21
    0
    Nov 13, 2011
    ah thanks for that. I'll just need to PM the sellers to ask what firmware is on the unit.
    Is 1.4.5 the latest firmware then?
     
  4. TyBlood13

    TyBlood13 Weeaboo Trash

    Member
    1,487
    593
    Jul 1, 2012
    United States
    Kentucky
    yes it is. Nintendo gave it out a few months ago so their support for the DSi has probably ended.
     
  5. Rydian

    Rydian Resident Furvertâ„¢

    Member
    27,883
    8,108
    Feb 4, 2010
    United States
    Cave Entrance, Watching Cyan Write Letters
    Well, 1.4.5 did come out 9 months after 1.4.4...